extends Sprite

# class member variables go here, for example:
# var a = 2
# var b = "textvar"
var t = Timer.new()
var none = true;

func load_next():
	t.queue_free()
	if get_node("/root/arms").last_level==1:
		get_tree().change_scene("res://basic interaction.tscn")
	else:
		get_tree().change_scene("res://scene1.tscn")

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	if get_node("/root/arms").arm_status==2:
		make_super_arms()
		timer(2)
		get_node("/root/arms").arm_status=3;
	else:
		get_node("normal-chainsaw").play()
		get_node("speech").play()
		set_process(true)

func make_super_arms():
	get_node("texto").set_texture(load("res://assets/sprites/escolher2-outro.png"))
	get_node("seta").set_texture(load("res://assets/sprites/escolher-outro3.png"))
	set_texture(load("res://assets/sprites/super_arm.png"))
			
func _process(delta):
	var animation_is_on = false;
	if Input.is_action_pressed("wrong"):
		get_node("Label").set_text("Hey, use the esdf to select and fire on r to select. There's no clickidy clickidy in this game")
		
	if Input.is_action_pressed("go_left"):
		none=false;
		get_node("seta").set_pos(Vector2(-70,90))
	if Input.is_action_pressed("go_up"):
		none=false;
		get_node("seta").set_pos(Vector2(200,90))
	if Input.is_action_pressed("go_down"):
		none=false;
		get_node("seta").set_pos(Vector2(100,250))
	if Input.is_action_pressed("go_right"):
		none=true;
		get_node("seta").set_pos(Vector2(300,150))
	if Input.is_action_pressed("fire"):
		get_node("Label").set_text("")
		get_node("seta").set_texture(load("res://assets/sprites/escolher-outro3.png"))
		if !none:
			get_node("chainsawcut").play()
			get_node("normal-chainsaw").stop()
			get_node("speech").stop()
			get_node("/root/arms").arm_status=2
			set_texture(load("res://assets/sprites/escolher-outro.png"))
			get_node("texto").set_texture(load("res://assets/sprites/escolher2-outro.png"))
			timer(5.5)
		else:
			get_node("texto").set_texture(load("res://assets/sprites/escolher2-outro-pacifico.png"))
			timer(2)
		
func timer(wait):
	t.set_wait_time(wait)
	t.set_one_shot(true)
	self.add_child(t)
	t.start()
	yield(t, "timeout")
	load_next();