extends StaticBody2D
var time = 0;
var timer_shooting = 1
onready var bullet = preload("res://bullet.tscn")
var shoot_array = [Vector2(1,0),Vector2(0,1),Vector2(1,1),Vector2(0,-1),Vector2(-1,1),Vector2(1,-1),Vector2(-1,0),Vector2(-1,-1)]
const bullet_speed = 20;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	set_fixed_process(true)

func set_timer_shooting(seconds):
	timer_shooting = seconds;

func shoot():
	for elem in shoot_array:
		var b = bullet.instance()
		get_node("../bullet_container").add_child(b)
		b.make_bullet(get_pos()+elem*50,elem,bullet_speed)		
	

func hit():
	queue_free()

func _fixed_process(delta):
	time +=delta;
	if time >timer_shooting:
		shoot();
		time = 0;
		var position = get_pos()
		position.x += rand_range(-5,5)
		position.y += rand_range(-5,5)
		set_pos(position)