extends KinematicBody2D

# class member variables go here, for example:
# var a = 2
# var b = "textvar"
var speed = Vector2()
var sacrificed_arm = false;
const ACC = 200
var arm_status;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	set_fixed_process(true)
	if (get_node("/root/arms").arm_status==3):
		print("is this how you got strong?")
		get_node("Sprite").set_texture(load("res://assets/sprites/arm_return.png"))
		print (get_node("/root/arms").reload_time)
		get_node("/root/arms").reload_time = 0.2;
	elif (get_node("/root/arms").arm_status==2):
		get_node("/root/arms").reload_time = 5;
		get_node("Sprite").set_texture(load("res://assets/sprites/arm_gone.png"))

func _fixed_process(delta):
	speed.x = Input.is_action_pressed("go_right")-Input.is_action_pressed("go_left")
	speed.x*=ACC
	speed.y = Input.is_action_pressed("go_down")-Input.is_action_pressed("go_up")
	speed.y*=ACC
	"""speed.y = Input.is_action_pressed("go_down")-Input.is_action_pressed("go_right")"""
	var motion = move(speed*delta)
	var vec_diff = get_pos()-get_global_mouse_pos()
	look_at(get_global_mouse_pos()+22*vec_diff);
	if is_colliding():
		var object = get_collider()
		if object.get_name()!="exit":
			var n = get_collision_normal()
			motion = n.slide(motion)
			move(motion)
		else:
			get_node("..").load_next_level()
		
func hit():
	queue_free()
	get_tree().change_scene("res://gameover.tscn")

func reloading_sound():
	if(get_node("/root/arms").arm_status==1):
		get_node("reloading").play()
	elif(get_node("/root/arms").arm_status==2):
		get_node("reloading_longer").play()
	
