extends Node2D
onready var bullet = preload("res://bullet.tscn")
var time = 2
const reload_time = 2;
const bullet_speed = 20;

func _ready():
	# Called every time the node is added to the scene.
	# Initialization here
	set_fixed_process(true)

func load_next_level():
	get_tree().change_scene("res://between.tscn")


func set_reload_speed(tm):
	reload_time=tm;

func _fixed_process(delta):
	time +=delta;
	if Input.is_action_pressed("fire"):
		if time > get_node("/root/arms").reload_time:
			var player_pos = get_node("player").get_pos()
			var vector_diff=get_global_mouse_pos()-player_pos;
			vector_diff = vector_diff.normalized()
			var b = bullet.instance()
			get_node("bullet_container").add_child(b)
			b.make_bullet(player_pos+vector_diff*50,vector_diff,bullet_speed)
			time = 0;
		else:
			get_node("player").reloading_sound()
